cmake_minimum_required(VERSION 3.16)

project(Older VERSION 0.1 LANGUAGES C CXX)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Boost REQUIRED COMPONENTS json)
find_package(OpenSSL REQUIRED)

add_subdirectory(3rdparty)
add_subdirectory(Base)
add_subdirectory(Server)
add_subdirectory(WebRTC)
add_subdirectory(WeChat)
add_subdirectory(UnitTest)

include(FetchContent)
FetchContent_Declare(Kylin
GIT_REPOSITORY ssh://git@gitea.amass.fun:2022/amass/Kylin.git
)
set(ENABLE_HTTP ON)
set(ENABLE_ROUTER ON)
set(ENABLE_NNG ON)
# add_subdirectory(/mnt/e/Projects/Kylin Kylin)
FetchContent_MakeAvailable(Kylin)